Bug 164057 - upgrade from libgcj-4.0.0-8 to libgcj-4.0.1-3.fc4 creates dangling symlinks
upgrade from libgcj-4.0.0-8 to libgcj-4.0.1-3.fc4 creates dangling symlinks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-23 10:03 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-01 17:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-07-23 10:03:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412.6 (KHTML, like Gecko) Safari/412.2

Description of problem:
After installing the new 4.0.1-3.fc4 rpms for the gcc packages with 'rpm -Uvh *' over my existing
FC4 installation, I find the following symlink is dangling...

lrwxrwxrwx  1 root root 32 Jul 21 18:44 /etc/alternatives/jaxp_parser_impl -> /usr/share/java/
libgcj-4.0.0.jar

this should be pointing at /usr/share/java/libgcj-4.0.1.jar


Version-Release number of selected component (if applicable):
libgcj-4.0.1-3.fc4

How reproducible:
Always

Steps to Reproduce:
1. Install FC4
2. Use rpm to upgrade the gcc packages to 4.0.1-3.fc4


Actual Results:  /etc/alternatives/jaxp_parser_impl is a broken symlink still pointing at the path for the file from the  
libgcj-4.0.0-8  package.

Expected Results:  Upgrading to libgcj-4.0.1-3.fc4 should have reset the /etc/alternatives/jaxp_parser_impl  to point at  /
usr/share/java/libgcj-4.0.1.jar.

Additional info:
Comment 1 Jakub Jelinek 2005-07-24 15:10:24 EDT
Guess a new java-1.4.2-gcj-compat or whatever else manages these alternatives
is needed.
Comment 2 Carsten Schmidt 2005-07-29 04:01:27 EDT
Do you think so? For me is looks absolutly like a libgcj problem. By the way,
when trying to update my machine via yum I got this conflict:

Transaction Check Error:   file /usr/share/man/man1/fastjar.1.gz from install of
libgcj-4.0.1-4.fc4 conflicts with file from package libgcj-4.0.0-8
  file /usr/share/man/man1/gcj-dbtool.1.gz from install of libgcj-4.0.1-4.fc4
conflicts with file from package libgcj-4.0.0-8
  file /usr/share/man/man1/gij.1.gz from install of libgcj-4.0.1-4.fc4 conflicts
with file from package libgcj-4.0.0-8
  file /usr/share/man/man1/grepjar.1.gz from install of libgcj-4.0.1-4.fc4
conflicts with file from package libgcj-4.0.0-8
  file /usr/share/man/man1/grmic.1.gz from install of libgcj-4.0.1-4.fc4
conflicts with file from package libgcj-4.0.0-8
  file /usr/share/man/man1/grmiregistry.1.gz from install of libgcj-4.0.1-4.fc4
conflicts with file from package libgcj-4.0.0-8
  file /usr/share/man/man1/jv-convert.1.gz from install of libgcj-4.0.1-4.fc4
conflicts with file from package libgcj-4.0.0-8

looks simular, doesn't it?
Comment 3 Jakub Jelinek 2005-07-29 04:09:40 EDT
Of course libgcj-4.0.0-8 conflicts with libgcj-4.0.1-4.fc4.  But those 2
should never live together, either you have installed the older one, or the
newer one.  If on arch with multilibs (e.g. x86-64), either you have both
4.0.0-8 libgcj's installed, or both 4.0.1-4.fc4 libgcj's.
The above errors are either user error (trying to install rather than upgrade
to the new gcc) or yum bugs.
Comment 4 Thomas Fitzsimmons 2005-10-01 17:45:18 EDT
There are now triggers in the code that update jaxp_parser_impl when a new
version of libgcj is installed.  Closing.

Note You need to log in before you can comment on or make changes to this bug.